version: '2'

services:
    weather-server:
        build: ./docker/ubuntu
        container_name: weather-server
        networks:
            docker:
                ipv4_address: 176.22.0.29
        ports:
            - 80:80
            # - 443:443
        links:
        - mysql
        volumes:
        - ./web:/var/www/html/weathersearch.demo.vn
        - ./docker/logs/weather:/var/log/apache2
        # - ./docker/ubuntu/weather.conf:/etc/apache2/sites-available/weather.conf
        restart: always

    mysql:
        image: mysql:5.7
        container_name: weather-mysql
        environment:
            MYSQL_ROOT_PASSWORD: root
            MYSQL_USER: docker
            MYSQL_PASSWORD: docker
            MYSQL_DATABASE: weather
        networks:
            docker:
                ipv4_address: 176.22.0.30
        ports:
        - 3306:3306
        volumes:
        - ./docker/database:/var/lib/mysql
        restart: always
     
    phpmyadmin:
        image: "phpmyadmin/phpmyadmin"
        container_name: weather-phpmyadmin
        ports: 
        - "9090:80"
        links:
        - mysql:mysql
        depends_on:
        - mysql
        networks:
        - docker
        environment:
          PMA_HOST: "mysql"
          PMA_PORT: 3306

networks:
  docker:
    ipam:
      config:
        - subnet: 176.22.0.0/16
